Bug 1658259 - Use hwdb instead of udev rules to apply properties
Summary: Use hwdb instead of udev rules to apply properties
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libgphoto2
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-11 16:09 UTC by Bastien Nocera
Modified: 2021-02-05 01:32 UTC (History)
6 users (show)

Fixed In Version: libgphoto2-2.5.26-1.fc33 libgphoto2-2.5.26-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-31 01:24:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Bastien Nocera 2018-12-11 16:09:10 UTC
Which should be faster, and less prone to breakage (as seen in the latest errata).

"print-camera-list hwdb" should print the appropriate data file to be installed.

Comment 1 Ben Cotton 2019-08-13 16:56:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 19:39:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Ben Cotton 2020-11-03 15:06:10 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Hans Ulrich Niedermann 2020-11-06 15:19:37 UTC
FWIW, going through the output of

    rpm -ql libgphoto2-2.5.25-1.fc33.x86_64

suggests that this issue has not been addressed until at least Fedora 33.

Comment 5 Fedora Update System 2021-01-27 11:47:55 UTC
FEDORA-2021-effa372833 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-effa372833

Comment 6 Fedora Update System 2021-01-28 01:54:05 UTC
FEDORA-2021-b0546ec224 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-b0546ec224`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b0546ec224

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-01-28 04:13:49 UTC
FEDORA-2021-effa372833 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-effa372833`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-effa372833

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-01-31 01:24:35 UTC
FEDORA-2021-b0546ec224 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-02-05 01:32:15 UTC
FEDORA-2021-effa372833 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.